# Demo of AMPAghk synaptic mechanism

from neuron import h, gui

soma = h.Section('soma')
# surface area 100 um2, cm 1 uf/cm2, tau_m 10 ms
soma.L = 10.0
soma.diam = 10.0/h.PI
h.pas.insert(soma)
soma.g_pas = 1.0e-4

h.load_file('pyrigampa.ses')
# RunControl, v(0.5) vs t
# IClamp 0.01 nA x 1 ms
# NetStim
# AMPAghk with tau1 2, tau2 10

ns = h.NetStim[0]
asyn = h.AMPAghk[0]
nc = h.NetCon(ns, asyn)
nc.weight[0] = 0.005 # um3/s, big enough to depolarize model by ~1 mV

h.load_file("pyextrasampa.ses")
# IClamp[0].i and AMPAghk[0].i vs t
# AMPAghk[0].P vs t
# _pysec.soma.ik(0.5) and _pysec.soma.ina(0.5) vs t
# AMPAghk[0].ik and AMPAghk[0].ina vs t 

print("soma.ix values are in mA/cm2")
print("AMPAghk.ix values are in na\n")
print("Run a simulation and notice the amplitudes of these currents.")
print("Then double the surface area of the cell by executing soma.diam*=2")
print("and finally run a new simulation.")
print("What happened to soma.ix and AMPAghk.ix, and why?")
